Package org.linphone.core

# Enum Class SubscriptionState

java.lang.Object
java.lang.Enum<SubscriptionState>
org.linphone.core.SubscriptionState

All Implemented Interfaces:
  `Serializable`, `Comparable<SubscriptionState>`, `Constable`

public enum SubscriptionState extends Enum<SubscriptionState>
Enum for subscription states.
`Terminated` and `Error` are
final states.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Active`
Subscription is accepted.
`Error`
Subscription was terminated by an error, indicated by `Event.getReason()`
`Expiring`
Subscription is about to expire, only sent if [sip]->refresh_generic_subscribe
property is set to 0.
`IncomingReceived`
An incoming subcription is received.
`None`
Initial state, should not be used.
`OutgoingProgress`
An outgoing subcription was sent.
`Pending`
Subscription is pending, waiting for user approval.
`Terminated`
Subscription is terminated normally.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static SubscriptionState`
`fromInt(int value)`
`protected static SubscriptionState[]`
`fromIntArray(int[] values)`
`int`
`toInt()`
`protected static int[]`
`toIntArray(SubscriptionState[] values)`
`static SubscriptionState`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubscriptionState[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### None

public static final SubscriptionState None
Initial state, should not be used.

### OutgoingProgress

public static final SubscriptionState OutgoingProgress
An outgoing subcription was sent.

### IncomingReceived

public static final SubscriptionState IncomingReceived
An incoming subcription is received.

### Pending

public static final SubscriptionState Pending
Subscription is pending, waiting for user approval.

### Active

public static final SubscriptionState Active
Subscription is accepted.

### Terminated

public static final SubscriptionState Terminated
Subscription is terminated normally.

### Error

public static final SubscriptionState Error
Subscription was terminated by an error, indicated by `Event.getReason()`

### Expiring

public static final SubscriptionState Expiring
Subscription is about to expire, only sent if [sip]->refresh_generic_subscribe
property is set to 0.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static SubscriptionState[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubscriptionState valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static SubscriptionState fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### fromIntArray

protected static SubscriptionState[] fromIntArray(int[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toIntArray

protected static int[] toIntArray(SubscriptionState[] values) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()